package de.fhhannover.inform.trust.ifmapj.result;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;

import de.fhhannover.inform.trust.ifmapj.exception.IfmapErrorCode;
import de.fhhannover.inform.trust.ifmapj.exception.IfmapErrorResult;

public class IfmapErrorResultTest {

	@Test
	public void testErrorResultToString() {
	
		
		IfmapErrorResult err = new IfmapErrorResult(IfmapErrorCode.AccessDenied,
				"Try: \"sudo make coffee\"");
		
		assertEquals("error{AccessDenied, Try: \"sudo make coffee\"}",
			err.toString());
		
		err = new IfmapErrorResult(IfmapErrorCode.InvalidSessionID,
				"Can I see your ID please?");
		
		assertEquals("error{InvalidSessionID, Can I see your ID please?}",
				err.toString());
	}
}
